#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* ADC_DelSig_theACLK */
#define ADC_DelSig_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_DelSig_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_DelSig_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_DelSig_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_DelSig_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_DelSig_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_DelSig_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_DelSig_theACLK__PM_ACT_MSK 0x01u
#define ADC_DelSig_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_DelSig_theACLK__PM_STBY_MSK 0x01u

/* ADC_DelSig_DSM2 */
#define ADC_DelSig_DSM2__BUF0 CYREG_DSM0_BUF0
#define ADC_DelSig_DSM2__BUF1 CYREG_DSM0_BUF1
#define ADC_DelSig_DSM2__BUF2 CYREG_DSM0_BUF2
#define ADC_DelSig_DSM2__BUF3 CYREG_DSM0_BUF3
#define ADC_DelSig_DSM2__CLK CYREG_DSM0_CLK
#define ADC_DelSig_DSM2__CR0 CYREG_DSM0_CR0
#define ADC_DelSig_DSM2__CR1 CYREG_DSM0_CR1
#define ADC_DelSig_DSM2__CR10 CYREG_DSM0_CR10
#define ADC_DelSig_DSM2__CR11 CYREG_DSM0_CR11
#define ADC_DelSig_DSM2__CR12 CYREG_DSM0_CR12
#define ADC_DelSig_DSM2__CR13 CYREG_DSM0_CR13
#define ADC_DelSig_DSM2__CR14 CYREG_DSM0_CR14
#define ADC_DelSig_DSM2__CR15 CYREG_DSM0_CR15
#define ADC_DelSig_DSM2__CR16 CYREG_DSM0_CR16
#define ADC_DelSig_DSM2__CR17 CYREG_DSM0_CR17
#define ADC_DelSig_DSM2__CR2 CYREG_DSM0_CR2
#define ADC_DelSig_DSM2__CR3 CYREG_DSM0_CR3
#define ADC_DelSig_DSM2__CR4 CYREG_DSM0_CR4
#define ADC_DelSig_DSM2__CR5 CYREG_DSM0_CR5
#define ADC_DelSig_DSM2__CR6 CYREG_DSM0_CR6
#define ADC_DelSig_DSM2__CR7 CYREG_DSM0_CR7
#define ADC_DelSig_DSM2__CR8 CYREG_DSM0_CR8
#define ADC_DelSig_DSM2__CR9 CYREG_DSM0_CR9
#define ADC_DelSig_DSM2__DEM0 CYREG_DSM0_DEM0
#define ADC_DelSig_DSM2__DEM1 CYREG_DSM0_DEM1
#define ADC_DelSig_DSM2__MISC CYREG_DSM0_MISC
#define ADC_DelSig_DSM2__OUT0 CYREG_DSM0_OUT0
#define ADC_DelSig_DSM2__OUT1 CYREG_DSM0_OUT1
#define ADC_DelSig_DSM2__REF0 CYREG_DSM0_REF0
#define ADC_DelSig_DSM2__REF1 CYREG_DSM0_REF1
#define ADC_DelSig_DSM2__REF2 CYREG_DSM0_REF2
#define ADC_DelSig_DSM2__REF3 CYREG_DSM0_REF3
#define ADC_DelSig_DSM2__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DelSig_DSM2__SW0 CYREG_DSM0_SW0
#define ADC_DelSig_DSM2__SW2 CYREG_DSM0_SW2
#define ADC_DelSig_DSM2__SW3 CYREG_DSM0_SW3
#define ADC_DelSig_DSM2__SW4 CYREG_DSM0_SW4
#define ADC_DelSig_DSM2__SW6 CYREG_DSM0_SW6
#define ADC_DelSig_DSM2__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DelSig_DSM2__TST0 CYREG_DSM0_TST0
#define ADC_DelSig_DSM2__TST1 CYREG_DSM0_TST1

/* ADC_DelSig_DEC */
#define ADC_DelSig_DEC__COHER CYREG_DEC_COHER
#define ADC_DelSig_DEC__CR CYREG_DEC_CR
#define ADC_DelSig_DEC__DR1 CYREG_DEC_DR1
#define ADC_DelSig_DEC__DR2 CYREG_DEC_DR2
#define ADC_DelSig_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DelSig_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DelSig_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DelSig_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DelSig_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DelSig_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DelSig_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DelSig_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DelSig_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DelSig_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DelSig_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DelSig_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DelSig_DEC__PM_ACT_MSK 0x01u
#define ADC_DelSig_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DelSig_DEC__PM_STBY_MSK 0x01u
#define ADC_DelSig_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DelSig_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DelSig_DEC__SR CYREG_DEC_SR
#define ADC_DelSig_DEC__TRIM__16H CYREG_FLSHID_CUST_TABLES_DEC_16H
#define ADC_DelSig_DEC__TRIM__16L CYREG_FLSHID_CUST_TABLES_DEC_16L
#define ADC_DelSig_DEC__TRIM__1H CYREG_FLSHID_CUST_TABLES_DEC_1H
#define ADC_DelSig_DEC__TRIM__1L CYREG_FLSHID_CUST_TABLES_DEC_1L
#define ADC_DelSig_DEC__TRIM__4H CYREG_FLSHID_CUST_TABLES_DEC_4H
#define ADC_DelSig_DEC__TRIM__4L CYREG_FLSHID_CUST_TABLES_DEC_4L
#define ADC_DelSig_DEC__TRIM__P25H CYREG_FLSHID_CUST_TABLES_DEC_P25H
#define ADC_DelSig_DEC__TRIM__P25L CYREG_FLSHID_CUST_TABLES_DEC_P25L

/* ADC_DelSig_IRQ */
#define ADC_DelSig_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_DelSig_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_DelSig_IRQ__INTC_MASK 0x20000000u
#define ADC_DelSig_IRQ__INTC_NUMBER 29
#define ADC_DelSig_IRQ__INTC_PRIOR_NUM 7
#define ADC_DelSig_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_29
#define ADC_DelSig_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_DelSig_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* SPIM_IntClock */
#define SPIM_IntClock__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define SPIM_IntClock__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define SPIM_IntClock__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define SPIM_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define SPIM_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define SPIM_IntClock__PM_ACT_MSK 0x02u
#define SPIM_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define SPIM_IntClock__PM_STBY_MSK 0x02u

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* Pin_MISO_M */
#define Pin_MISO_M__0__MASK 0x10u
#define Pin_MISO_M__0__PC CYREG_PRT4_PC4
#define Pin_MISO_M__0__PORT 4
#define Pin_MISO_M__0__SHIFT 4
#define Pin_MISO_M__AG CYREG_PRT4_AG
#define Pin_MISO_M__AMUX CYREG_PRT4_AMUX
#define Pin_MISO_M__BIE CYREG_PRT4_BIE
#define Pin_MISO_M__BIT_MASK CYREG_PRT4_BIT_MASK
#define Pin_MISO_M__BYP CYREG_PRT4_BYP
#define Pin_MISO_M__CTL CYREG_PRT4_CTL
#define Pin_MISO_M__DM0 CYREG_PRT4_DM0
#define Pin_MISO_M__DM1 CYREG_PRT4_DM1
#define Pin_MISO_M__DM2 CYREG_PRT4_DM2
#define Pin_MISO_M__DR CYREG_PRT4_DR
#define Pin_MISO_M__INP_DIS CYREG_PRT4_INP_DIS
#define Pin_MISO_M__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Pin_MISO_M__LCD_EN CYREG_PRT4_LCD_EN
#define Pin_MISO_M__MASK 0x10u
#define Pin_MISO_M__PORT 4
#define Pin_MISO_M__PRT CYREG_PRT4_PRT
#define Pin_MISO_M__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Pin_MISO_M__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Pin_MISO_M__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Pin_MISO_M__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Pin_MISO_M__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Pin_MISO_M__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Pin_MISO_M__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Pin_MISO_M__PS CYREG_PRT4_PS
#define Pin_MISO_M__SHIFT 4
#define Pin_MISO_M__SLW CYREG_PRT4_SLW

/* Pin_MISO_S */
#define Pin_MISO_S__0__MASK 0x10u
#define Pin_MISO_S__0__PC CYREG_PRT5_PC4
#define Pin_MISO_S__0__PORT 5
#define Pin_MISO_S__0__SHIFT 4
#define Pin_MISO_S__AG CYREG_PRT5_AG
#define Pin_MISO_S__AMUX CYREG_PRT5_AMUX
#define Pin_MISO_S__BIE CYREG_PRT5_BIE
#define Pin_MISO_S__BIT_MASK CYREG_PRT5_BIT_MASK
#define Pin_MISO_S__BYP CYREG_PRT5_BYP
#define Pin_MISO_S__CTL CYREG_PRT5_CTL
#define Pin_MISO_S__DM0 CYREG_PRT5_DM0
#define Pin_MISO_S__DM1 CYREG_PRT5_DM1
#define Pin_MISO_S__DM2 CYREG_PRT5_DM2
#define Pin_MISO_S__DR CYREG_PRT5_DR
#define Pin_MISO_S__INP_DIS CYREG_PRT5_INP_DIS
#define Pin_MISO_S__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Pin_MISO_S__LCD_EN CYREG_PRT5_LCD_EN
#define Pin_MISO_S__MASK 0x10u
#define Pin_MISO_S__PORT 5
#define Pin_MISO_S__PRT CYREG_PRT5_PRT
#define Pin_MISO_S__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Pin_MISO_S__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Pin_MISO_S__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Pin_MISO_S__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Pin_MISO_S__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Pin_MISO_S__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Pin_MISO_S__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Pin_MISO_S__PS CYREG_PRT5_PS
#define Pin_MISO_S__SHIFT 4
#define Pin_MISO_S__SLW CYREG_PRT5_SLW

/* Pin_MOSI_M */
#define Pin_MOSI_M__0__MASK 0x20u
#define Pin_MOSI_M__0__PC CYREG_PRT4_PC5
#define Pin_MOSI_M__0__PORT 4
#define Pin_MOSI_M__0__SHIFT 5
#define Pin_MOSI_M__AG CYREG_PRT4_AG
#define Pin_MOSI_M__AMUX CYREG_PRT4_AMUX
#define Pin_MOSI_M__BIE CYREG_PRT4_BIE
#define Pin_MOSI_M__BIT_MASK CYREG_PRT4_BIT_MASK
#define Pin_MOSI_M__BYP CYREG_PRT4_BYP
#define Pin_MOSI_M__CTL CYREG_PRT4_CTL
#define Pin_MOSI_M__DM0 CYREG_PRT4_DM0
#define Pin_MOSI_M__DM1 CYREG_PRT4_DM1
#define Pin_MOSI_M__DM2 CYREG_PRT4_DM2
#define Pin_MOSI_M__DR CYREG_PRT4_DR
#define Pin_MOSI_M__INP_DIS CYREG_PRT4_INP_DIS
#define Pin_MOSI_M__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Pin_MOSI_M__LCD_EN CYREG_PRT4_LCD_EN
#define Pin_MOSI_M__MASK 0x20u
#define Pin_MOSI_M__PORT 4
#define Pin_MOSI_M__PRT CYREG_PRT4_PRT
#define Pin_MOSI_M__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Pin_MOSI_M__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Pin_MOSI_M__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Pin_MOSI_M__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Pin_MOSI_M__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Pin_MOSI_M__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Pin_MOSI_M__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Pin_MOSI_M__PS CYREG_PRT4_PS
#define Pin_MOSI_M__SHIFT 5
#define Pin_MOSI_M__SLW CYREG_PRT4_SLW

/* Pin_MOSI_S */
#define Pin_MOSI_S__0__MASK 0x20u
#define Pin_MOSI_S__0__PC CYREG_PRT5_PC5
#define Pin_MOSI_S__0__PORT 5
#define Pin_MOSI_S__0__SHIFT 5
#define Pin_MOSI_S__AG CYREG_PRT5_AG
#define Pin_MOSI_S__AMUX CYREG_PRT5_AMUX
#define Pin_MOSI_S__BIE CYREG_PRT5_BIE
#define Pin_MOSI_S__BIT_MASK CYREG_PRT5_BIT_MASK
#define Pin_MOSI_S__BYP CYREG_PRT5_BYP
#define Pin_MOSI_S__CTL CYREG_PRT5_CTL
#define Pin_MOSI_S__DM0 CYREG_PRT5_DM0
#define Pin_MOSI_S__DM1 CYREG_PRT5_DM1
#define Pin_MOSI_S__DM2 CYREG_PRT5_DM2
#define Pin_MOSI_S__DR CYREG_PRT5_DR
#define Pin_MOSI_S__INP_DIS CYREG_PRT5_INP_DIS
#define Pin_MOSI_S__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Pin_MOSI_S__LCD_EN CYREG_PRT5_LCD_EN
#define Pin_MOSI_S__MASK 0x20u
#define Pin_MOSI_S__PORT 5
#define Pin_MOSI_S__PRT CYREG_PRT5_PRT
#define Pin_MOSI_S__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Pin_MOSI_S__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Pin_MOSI_S__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Pin_MOSI_S__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Pin_MOSI_S__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Pin_MOSI_S__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Pin_MOSI_S__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Pin_MOSI_S__PS CYREG_PRT5_PS
#define Pin_MOSI_S__SHIFT 5
#define Pin_MOSI_S__SLW CYREG_PRT5_SLW

/* Pin_SCLK_M */
#define Pin_SCLK_M__0__MASK 0x40u
#define Pin_SCLK_M__0__PC CYREG_PRT4_PC6
#define Pin_SCLK_M__0__PORT 4
#define Pin_SCLK_M__0__SHIFT 6
#define Pin_SCLK_M__AG CYREG_PRT4_AG
#define Pin_SCLK_M__AMUX CYREG_PRT4_AMUX
#define Pin_SCLK_M__BIE CYREG_PRT4_BIE
#define Pin_SCLK_M__BIT_MASK CYREG_PRT4_BIT_MASK
#define Pin_SCLK_M__BYP CYREG_PRT4_BYP
#define Pin_SCLK_M__CTL CYREG_PRT4_CTL
#define Pin_SCLK_M__DM0 CYREG_PRT4_DM0
#define Pin_SCLK_M__DM1 CYREG_PRT4_DM1
#define Pin_SCLK_M__DM2 CYREG_PRT4_DM2
#define Pin_SCLK_M__DR CYREG_PRT4_DR
#define Pin_SCLK_M__INP_DIS CYREG_PRT4_INP_DIS
#define Pin_SCLK_M__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Pin_SCLK_M__LCD_EN CYREG_PRT4_LCD_EN
#define Pin_SCLK_M__MASK 0x40u
#define Pin_SCLK_M__PORT 4
#define Pin_SCLK_M__PRT CYREG_PRT4_PRT
#define Pin_SCLK_M__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Pin_SCLK_M__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Pin_SCLK_M__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Pin_SCLK_M__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Pin_SCLK_M__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Pin_SCLK_M__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Pin_SCLK_M__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Pin_SCLK_M__PS CYREG_PRT4_PS
#define Pin_SCLK_M__SHIFT 6
#define Pin_SCLK_M__SLW CYREG_PRT4_SLW

/* Pin_SCLK_S */
#define Pin_SCLK_S__0__MASK 0x40u
#define Pin_SCLK_S__0__PC CYREG_PRT5_PC6
#define Pin_SCLK_S__0__PORT 5
#define Pin_SCLK_S__0__SHIFT 6
#define Pin_SCLK_S__AG CYREG_PRT5_AG
#define Pin_SCLK_S__AMUX CYREG_PRT5_AMUX
#define Pin_SCLK_S__BIE CYREG_PRT5_BIE
#define Pin_SCLK_S__BIT_MASK CYREG_PRT5_BIT_MASK
#define Pin_SCLK_S__BYP CYREG_PRT5_BYP
#define Pin_SCLK_S__CTL CYREG_PRT5_CTL
#define Pin_SCLK_S__DM0 CYREG_PRT5_DM0
#define Pin_SCLK_S__DM1 CYREG_PRT5_DM1
#define Pin_SCLK_S__DM2 CYREG_PRT5_DM2
#define Pin_SCLK_S__DR CYREG_PRT5_DR
#define Pin_SCLK_S__INP_DIS CYREG_PRT5_INP_DIS
#define Pin_SCLK_S__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Pin_SCLK_S__LCD_EN CYREG_PRT5_LCD_EN
#define Pin_SCLK_S__MASK 0x40u
#define Pin_SCLK_S__PORT 5
#define Pin_SCLK_S__PRT CYREG_PRT5_PRT
#define Pin_SCLK_S__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Pin_SCLK_S__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Pin_SCLK_S__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Pin_SCLK_S__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Pin_SCLK_S__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Pin_SCLK_S__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Pin_SCLK_S__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Pin_SCLK_S__PS CYREG_PRT5_PS
#define Pin_SCLK_S__SHIFT 6
#define Pin_SCLK_S__SLW CYREG_PRT5_SLW

/* SPIM_BSPIM */
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB00_01_ACTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB00_01_CTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB00_01_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB00_01_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B0_UDB00_01_CTL
#define SPIM_BSPIM_BitCounter__16BIT_MASK_MASK_REG CYREG_B0_UDB00_01_MSK
#define SPIM_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B0_UDB00_01_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B0_UDB00_01_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB00_01_MSK
#define SPIM_BSPIM_BitCounter__CONTROL_AUX_CTL_REG CYREG_B0_UDB00_ACTL
#define SPIM_BSPIM_BitCounter__CONTROL_REG CYREG_B0_UDB00_CTL
#define SPIM_BSPIM_BitCounter__CONTROL_ST_REG CYREG_B0_UDB00_ST_CTL
#define SPIM_BSPIM_BitCounter__COUNT_REG CYREG_B0_UDB00_CTL
#define SPIM_BSPIM_BitCounter__COUNT_ST_REG CYREG_B0_UDB00_ST_CTL
#define SPIM_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL
#define SPIM_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL
#define SPIM_BSPIM_BitCounter__PERIOD_REG CYREG_B0_UDB00_MSK
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB00_01_ACTL
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_REG CYREG_B0_UDB00_01_ST
#define SPIM_BSPIM_BitCounter_ST__MASK_REG CYREG_B0_UDB00_MSK
#define SPIM_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B0_UDB00_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CNT_REG CYREG_B0_UDB00_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CONTROL_REG CYREG_B0_UDB00_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_REG CYREG_B0_UDB00_ST
#define SPIM_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define SPIM_BSPIM_RxStsReg__16BIT_STATUS_REG CYREG_B0_UDB03_04_ST
#define SPIM_BSPIM_RxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_RxStsReg__4__POS 4
#define SPIM_BSPIM_RxStsReg__5__MASK 0x20u
#define SPIM_BSPIM_RxStsReg__5__POS 5
#define SPIM_BSPIM_RxStsReg__6__MASK 0x40u
#define SPIM_BSPIM_RxStsReg__6__POS 6
#define SPIM_BSPIM_RxStsReg__MASK 0x70u
#define SPIM_BSPIM_RxStsReg__MASK_REG CYREG_B0_UDB03_MSK
#define SPIM_BSPIM_RxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define SPIM_BSPIM_RxStsReg__STATUS_REG CYREG_B0_UDB03_ST
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A0_REG CYREG_B0_UDB00_01_A0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A1_REG CYREG_B0_UDB00_01_A1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D0_REG CYREG_B0_UDB00_01_D0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D1_REG CYREG_B0_UDB00_01_D1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB00_01_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F0_REG CYREG_B0_UDB00_01_F0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F1_REG CYREG_B0_UDB00_01_F1
#define SPIM_BSPIM_sR8_Dp_u0__A0_A1_REG CYREG_B0_UDB00_A0_A1
#define SPIM_BSPIM_sR8_Dp_u0__A0_REG CYREG_B0_UDB00_A0
#define SPIM_BSPIM_sR8_Dp_u0__A1_REG CYREG_B0_UDB00_A1
#define SPIM_BSPIM_sR8_Dp_u0__D0_D1_REG CYREG_B0_UDB00_D0_D1
#define SPIM_BSPIM_sR8_Dp_u0__D0_REG CYREG_B0_UDB00_D0
#define SPIM_BSPIM_sR8_Dp_u0__D1_REG CYREG_B0_UDB00_D1
#define SPIM_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG CYREG_B0_UDB00_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__F0_F1_REG CYREG_B0_UDB00_F0_F1
#define SPIM_BSPIM_sR8_Dp_u0__F0_REG CYREG_B0_UDB00_F0
#define SPIM_BSPIM_sR8_Dp_u0__F1_REG CYREG_B0_UDB00_F1
#define SPIM_BSPIM_sR8_Dp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB00_MSK_ACTL
#define SPIM_BSPIM_TxStsReg__0__MASK 0x01u
#define SPIM_BSPIM_TxStsReg__0__POS 0
#define SPIM_BSPIM_TxStsReg__1__MASK 0x02u
#define SPIM_BSPIM_TxStsReg__1__POS 1
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB01_02_ACTL
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_REG CYREG_B0_UDB01_02_ST
#define SPIM_BSPIM_TxStsReg__2__MASK 0x04u
#define SPIM_BSPIM_TxStsReg__2__POS 2
#define SPIM_BSPIM_TxStsReg__3__MASK 0x08u
#define SPIM_BSPIM_TxStsReg__3__POS 3
#define SPIM_BSPIM_TxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_TxStsReg__4__POS 4
#define SPIM_BSPIM_TxStsReg__MASK 0x1Fu
#define SPIM_BSPIM_TxStsReg__MASK_REG CYREG_B0_UDB01_MSK
#define SPIM_BSPIM_TxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB01_ACTL
#define SPIM_BSPIM_TxStsReg__STATUS_REG CYREG_B0_UDB01_ST

/* SPIS_BSPIS */
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB05_06_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB05_06_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB05_06_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB05_06_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B0_UDB05_06_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_MASK_MASK_REG CYREG_B0_UDB05_06_MSK
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B0_UDB05_06_MSK
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B0_UDB05_06_MSK
#define SPIS_BSPIS_es2_SPISlave_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB05_06_MSK
#define SPIS_BSPIS_es2_SPISlave_BitCounter__CONTROL_AUX_CTL_REG CYREG_B0_UDB05_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__CONTROL_REG CYREG_B0_UDB05_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__CONTROL_ST_REG CYREG_B0_UDB05_ST_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__COUNT_REG CYREG_B0_UDB05_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__COUNT_ST_REG CYREG_B0_UDB05_ST_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter__PERIOD_REG CYREG_B0_UDB05_MSK
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB05_06_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__16BIT_STATUS_REG CYREG_B0_UDB05_06_ST
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__MASK_REG CYREG_B0_UDB05_MSK
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B0_UDB05_ACTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__STATUS_CNT_REG CYREG_B0_UDB05_ST_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__STATUS_CONTROL_REG CYREG_B0_UDB05_ST_CTL
#define SPIS_BSPIS_es2_SPISlave_BitCounter_ST__STATUS_REG CYREG_B0_UDB05_ST
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__16BIT_STATUS_REG CYREG_B0_UDB04_05_ST
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__3__MASK 0x08u
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__3__POS 3
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__4__MASK 0x10u
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__4__POS 4
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__5__MASK 0x20u
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__5__POS 5
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__6__MASK 0x40u
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__6__POS 6
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__MASK 0x78u
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__MASK_REG CYREG_B0_UDB04_MSK
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define SPIS_BSPIS_es2_SPISlave_RxStsReg__STATUS_REG CYREG_B0_UDB04_ST
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__16BIT_A0_REG CYREG_B0_UDB02_03_A0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__16BIT_A1_REG CYREG_B0_UDB02_03_A1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__16BIT_D0_REG CYREG_B0_UDB02_03_D0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__16BIT_D1_REG CYREG_B0_UDB02_03_D1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__16BIT_F0_REG CYREG_B0_UDB02_03_F0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__16BIT_F1_REG CYREG_B0_UDB02_03_F1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__A0_A1_REG CYREG_B0_UDB02_A0_A1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__A0_REG CYREG_B0_UDB02_A0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__A1_REG CYREG_B0_UDB02_A1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__D0_D1_REG CYREG_B0_UDB02_D0_D1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__D0_REG CYREG_B0_UDB02_D0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__D1_REG CYREG_B0_UDB02_D1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__DP_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__F0_F1_REG CYREG_B0_UDB02_F0_F1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__F0_REG CYREG_B0_UDB02_F0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMISO_u0__F1_REG CYREG_B0_UDB02_F1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__16BIT_A0_REG CYREG_B0_UDB05_06_A0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__16BIT_A1_REG CYREG_B0_UDB05_06_A1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__16BIT_D0_REG CYREG_B0_UDB05_06_D0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__16BIT_D1_REG CYREG_B0_UDB05_06_D1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB05_06_ACTL
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__16BIT_F0_REG CYREG_B0_UDB05_06_F0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__16BIT_F1_REG CYREG_B0_UDB05_06_F1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__A0_A1_REG CYREG_B0_UDB05_A0_A1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__A0_REG CYREG_B0_UDB05_A0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__A1_REG CYREG_B0_UDB05_A1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__D0_D1_REG CYREG_B0_UDB05_D0_D1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__D0_REG CYREG_B0_UDB05_D0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__D1_REG CYREG_B0_UDB05_D1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__DP_AUX_CTL_REG CYREG_B0_UDB05_ACTL
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__F0_F1_REG CYREG_B0_UDB05_F0_F1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__F0_REG CYREG_B0_UDB05_F0
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__F1_REG CYREG_B0_UDB05_F1
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define SPIS_BSPIS_es2_SPISlave_sR8_DpMOSI_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__0__MASK 0x01u
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__0__POS 0
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__1__MASK 0x02u
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__1__POS 1
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__16BIT_STATUS_REG CYREG_B0_UDB02_03_ST
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__2__MASK 0x04u
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__2__POS 2
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__6__MASK 0x40u
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__6__POS 6
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__MASK 0x47u
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__MASK_REG CYREG_B0_UDB02_MSK
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define SPIS_BSPIS_es2_SPISlave_TxStsReg__STATUS_REG CYREG_B0_UDB02_ST

/* Pin_SS_M */
#define Pin_SS_M__0__MASK 0x80u
#define Pin_SS_M__0__PC CYREG_PRT4_PC7
#define Pin_SS_M__0__PORT 4
#define Pin_SS_M__0__SHIFT 7
#define Pin_SS_M__AG CYREG_PRT4_AG
#define Pin_SS_M__AMUX CYREG_PRT4_AMUX
#define Pin_SS_M__BIE CYREG_PRT4_BIE
#define Pin_SS_M__BIT_MASK CYREG_PRT4_BIT_MASK
#define Pin_SS_M__BYP CYREG_PRT4_BYP
#define Pin_SS_M__CTL CYREG_PRT4_CTL
#define Pin_SS_M__DM0 CYREG_PRT4_DM0
#define Pin_SS_M__DM1 CYREG_PRT4_DM1
#define Pin_SS_M__DM2 CYREG_PRT4_DM2
#define Pin_SS_M__DR CYREG_PRT4_DR
#define Pin_SS_M__INP_DIS CYREG_PRT4_INP_DIS
#define Pin_SS_M__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Pin_SS_M__LCD_EN CYREG_PRT4_LCD_EN
#define Pin_SS_M__MASK 0x80u
#define Pin_SS_M__PORT 4
#define Pin_SS_M__PRT CYREG_PRT4_PRT
#define Pin_SS_M__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Pin_SS_M__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Pin_SS_M__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Pin_SS_M__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Pin_SS_M__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Pin_SS_M__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Pin_SS_M__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Pin_SS_M__PS CYREG_PRT4_PS
#define Pin_SS_M__SHIFT 7
#define Pin_SS_M__SLW CYREG_PRT4_SLW

/* Pin_SS_S */
#define Pin_SS_S__0__MASK 0x80u
#define Pin_SS_S__0__PC CYREG_PRT5_PC7
#define Pin_SS_S__0__PORT 5
#define Pin_SS_S__0__SHIFT 7
#define Pin_SS_S__AG CYREG_PRT5_AG
#define Pin_SS_S__AMUX CYREG_PRT5_AMUX
#define Pin_SS_S__BIE CYREG_PRT5_BIE
#define Pin_SS_S__BIT_MASK CYREG_PRT5_BIT_MASK
#define Pin_SS_S__BYP CYREG_PRT5_BYP
#define Pin_SS_S__CTL CYREG_PRT5_CTL
#define Pin_SS_S__DM0 CYREG_PRT5_DM0
#define Pin_SS_S__DM1 CYREG_PRT5_DM1
#define Pin_SS_S__DM2 CYREG_PRT5_DM2
#define Pin_SS_S__DR CYREG_PRT5_DR
#define Pin_SS_S__INP_DIS CYREG_PRT5_INP_DIS
#define Pin_SS_S__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Pin_SS_S__LCD_EN CYREG_PRT5_LCD_EN
#define Pin_SS_S__MASK 0x80u
#define Pin_SS_S__PORT 5
#define Pin_SS_S__PRT CYREG_PRT5_PRT
#define Pin_SS_S__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Pin_SS_S__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Pin_SS_S__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Pin_SS_S__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Pin_SS_S__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Pin_SS_S__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Pin_SS_S__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Pin_SS_S__PS CYREG_PRT5_PS
#define Pin_SS_S__SHIFT 7
#define Pin_SS_S__SLW CYREG_PRT5_SLW

/* Port_LED */
#define Port_LED__0__MASK 0x10u
#define Port_LED__0__PC CYREG_PRT0_PC4
#define Port_LED__0__PORT 0
#define Port_LED__0__SHIFT 4
#define Port_LED__1__MASK 0x20u
#define Port_LED__1__PC CYREG_PRT0_PC5
#define Port_LED__1__PORT 0
#define Port_LED__1__SHIFT 5
#define Port_LED__2__MASK 0x40u
#define Port_LED__2__PC CYREG_PRT0_PC6
#define Port_LED__2__PORT 0
#define Port_LED__2__SHIFT 6
#define Port_LED__3__MASK 0x80u
#define Port_LED__3__PC CYREG_PRT0_PC7
#define Port_LED__3__PORT 0
#define Port_LED__3__SHIFT 7
#define Port_LED__AG CYREG_PRT0_AG
#define Port_LED__AMUX CYREG_PRT0_AMUX
#define Port_LED__BIE CYREG_PRT0_BIE
#define Port_LED__BIT_MASK CYREG_PRT0_BIT_MASK
#define Port_LED__BYP CYREG_PRT0_BYP
#define Port_LED__CTL CYREG_PRT0_CTL
#define Port_LED__DM0 CYREG_PRT0_DM0
#define Port_LED__DM1 CYREG_PRT0_DM1
#define Port_LED__DM2 CYREG_PRT0_DM2
#define Port_LED__DR CYREG_PRT0_DR
#define Port_LED__INP_DIS CYREG_PRT0_INP_DIS
#define Port_LED__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Port_LED__LCD_EN CYREG_PRT0_LCD_EN
#define Port_LED__MASK 0xF0u
#define Port_LED__PORT 0
#define Port_LED__PRT CYREG_PRT0_PRT
#define Port_LED__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Port_LED__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Port_LED__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Port_LED__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Port_LED__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Port_LED__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Port_LED__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Port_LED__PS CYREG_PRT0_PS
#define Port_LED__SHIFT 4
#define Port_LED__SLW CYREG_PRT0_SLW

/* Clock_S */
#define Clock_S__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Clock_S__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Clock_S__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Clock_S__CFG2_SRC_SEL_MASK 0x07u
#define Clock_S__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_S__PM_ACT_MSK 0x01u
#define Clock_S__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_S__PM_STBY_MSK 0x01u

/* Pin_Pot */
#define Pin_Pot__0__MASK 0x04u
#define Pin_Pot__0__PC CYREG_PRT0_PC2
#define Pin_Pot__0__PORT 0
#define Pin_Pot__0__SHIFT 2
#define Pin_Pot__AG CYREG_PRT0_AG
#define Pin_Pot__AMUX CYREG_PRT0_AMUX
#define Pin_Pot__BIE CYREG_PRT0_BIE
#define Pin_Pot__BIT_MASK CYREG_PRT0_BIT_MASK
#define Pin_Pot__BYP CYREG_PRT0_BYP
#define Pin_Pot__CTL CYREG_PRT0_CTL
#define Pin_Pot__DM0 CYREG_PRT0_DM0
#define Pin_Pot__DM1 CYREG_PRT0_DM1
#define Pin_Pot__DM2 CYREG_PRT0_DM2
#define Pin_Pot__DR CYREG_PRT0_DR
#define Pin_Pot__INP_DIS CYREG_PRT0_INP_DIS
#define Pin_Pot__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Pin_Pot__LCD_EN CYREG_PRT0_LCD_EN
#define Pin_Pot__PORT 0
#define Pin_Pot__PRT CYREG_PRT0_PRT
#define Pin_Pot__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Pin_Pot__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Pin_Pot__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Pin_Pot__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Pin_Pot__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Pin_Pot__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Pin_Pot__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Pin_Pot__PS CYREG_PRT0_PS
#define Pin_Pot__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_FAMILY_PSOC5 2
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_BOOTLOADER_CHECKSUM 0
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_ES1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO 0
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED 0
#define CYDEV_CONFIGURATION_MODE 0
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 4096
#define CYDEV_INSTRUCT_CACHE_ENABLED 0
#define CYDEV_STACK_SIZE 16384
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
